--Graphical Coverage Optimizer by Tritonio
--Copyright 2010 Konstantinos Asimakis
--All rights reserved.
--Web:   http://inshame.blogspot.com
--Email: inshame at gmail dot com
--       asimakis@ceid.upatras.gr
--
--Note to muggles: d = a and b or c
--in 99% of the cases does this: if a then d=b else d=c end
--Also this: d = a or b
--does this: if a then d=a else d=b end

--Here be constants!

--Grid constants
MAX_RINGS=3 --Used to make the grid big enough to handle rings and coverage.

--SE constants
ring_SE={[0]=0.4,0.9,0.9,0.2} --Spectral efficiencies that are added to the central cell for 0 or more assisting rings. Add more values here and the program will make all adjustments to take them into consideration.
PTM_SE=0.4 --Spectral efficiency of a PTM transmitting cell. Normally tha same with ring_SE[0].

--Cost constants (Georgia speaking...)
polling_core_cost_per_cell=1/0.5 --(lm2/km2)
max_SE=0 for i,SE in pairs(ring_SE) do max_SE=max_SE+SE end
recurring_DM1= 3/0.5 --(lm1/km1)
recurring_sync_cost= recurring_DM1/20

--Screen constants
screen_width,screen_height=500,500 --The screen will be this size.

--Profiling constants
--profiling_enabled=true --If you ever enable the profiler, it stops profiling and saves it's output if you right click.

--Optimization constans
X_factor=0.75 --Changes te aggressiveness of the mutation function.
optimize="RE" --Initially optimize RE.
minimize=false
halt=true --Start stopped.


--No more constants from now on. It's an order.
dofile("CoverageOptimizer\\luac.out")